%define installdir %apache_htdocsdir/addon-modules/horde/imp

Name: horde3-imp
Version: 4.0.3
Release: alt1

Summary: The Internet Messaging Program: webmail access to IMAP/POP3 accounts, H3 branch
License: GPL
Group: Networking/Mail
URL: http://www.horde.org/

Source: imp-h3-%version.tar.gz
Source1: imp.conf
BuildArchitectures: noarch

Requires: php >= 4.2.1
Requires: mod_php php-domxml
Requires: php-imap >= 4.2.1
Requires: pear >= 1.3.1
Requires: horde3
Requires: apache-common >= 1.3.31rusPL30.20-alt10
# apache-devel needed for %apache* macroses
# perl-DBI needed to make find-requires happy
BuildPreReq: apache-devel perl-DBI

Conflicts: imp

%description
IMP is the Internet Messaging Program, one of the Horde applications.
It provides webmail access to IMAP and POP3 accounts.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with IMP)
please visit http://www.horde.org/.

%prep
%setup -q -n imp-h3-%version

%build

%install
%__mkdir_p %buildroot%apache_addonconfdir.d
%__cp %SOURCE1 %buildroot%apache_addonconfdir.d
%__mkdir_p %buildroot%installdir
%__cp --preserve -pR * %buildroot%installdir
%__chmod go-rwx %buildroot%installdir/test.php
cd %buildroot%installdir/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done
touch conf.php

%pre

%post
# post-install instructions:

# patching old type of httpd.conf
if egrep -q "^Include conf/addon-modules.?d?/imp.conf" %apache_conf; then
    %__subst "/Include conf\/addon-modules\/imp.conf/d" %apache_conf
    %__subst "/Include conf\/addon-modules.d\/imp.conf/d" %apache_conf
fi

if ! grep -q "^Include conf/addon-modules.d/\*.conf" %apache_conf; then
    echo "Include conf/addon-modules.d/imp.conf" >> %apache_conf
fi

/sbin/service httpd condrestart

cat <<_EOF_
You must manually configure IMP!
See "CONFIGURING IMP" in %installdir/docs/INSTALL
_EOF_

%postun
if [ $1 -eq 0 ]; then
	if [ -f %apache_conf ] ; then
		grep -q "^Include conf/addon-modules.d/imp.conf" %apache_conf &&
			%__subst "/Include conf\/addon-modules.d\/imp.conf/d" %apache_conf
		/sbin/service httpd condrestart
	fi
fi

%files
# Apache imp.conf file
%config(noreplace) %apache_addonconfdir.d/imp.conf
%dir %installdir
# Include top-level files by hand
%installdir/*.php
%installdir/lib
%installdir/locale
%installdir/po
%installdir/scripts
%installdir/themes
%installdir/templates
# Mark documentation files with %doc and %docdir
%doc %installdir/COPYING
%doc %installdir/README
%docdir %installdir/docs
%installdir/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%apache_group) %dir %installdir/config
%defattr(640,root,%apache_group)
%installdir/config/.htaccess
%installdir/config/*.dist
%installdir/config/*.xml
%config(noreplace) %installdir/config/*.php
%config(noreplace) %installdir/config/*.txt

%changelog
* Wed Jun 15 2005 Leonid Shalupov <shalupov@altlinux.ru> 4.0.3-alt1
- 4.0.3
- Sisyphus build

* Sat Feb 19 2005 Leonid Shalupov <shalupov@altlinux.ru> 4.0.2-ucvt1
- 4.0.2: new branch

* Tue Sep 21 2004 Vladimir Lettiev <crux@altlinux.ru> 3.2.6-alt1
- 3.2.6 (security fixes in HTML MIME viewer)
- imp.conf moved to %apache_addonconfdir.d
  (thats requires latest version of apache-common)

* Fri Jul 30 2004 Vladimir Lettiev <crux@altlinux.ru> 3.2.5-alt1
- 3.2.5 (security fix again: Close an XSS hole in the HTML viewer)

* Tue Jun 08 2004 Vladimir Lettiev <crux@altlinux.ru> 3.2.4-alt1
- 3.2.4 (security fixes: Close an XSS hole exploited via the Content-type
  header of malicious emails)
- added tag 'noreplace' for important config files

* Mon Apr 05 2004 Vladimir Lettiev <crux@altlinux.ru> 3.2.3-alt1
- initial release for Sisyphus

